Bug 63868 - Help Out KDE =)
Summary: Help Out KDE =)
Status: RESOLVED FIXED
Alias: None
Product: www.kde.org
Classification: Websites
Component: general (show other bugs)
Version: unspecified
Platform: Mandrake RPMs Linux
: NOR wishlist with 423 votes (vote)
Target Milestone: ---
Assignee: Webmaster
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-08 01:52 UTC by Alex Radu
Modified: 2004-12-01 13:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Radu 2003-09-08 01:52:17 UTC
Version:           3.1.3 (using KDE KDE 3.1.3)
Installed from:    Mandrake RPMs
Compiler:          GCC 3.3.1 
OS:          Linux

KDE is free software, but that does not mean that developing it is free, and that it does not need money. Unfortunately, many users do not quite grasp this concept and do not feel in debt to the KDE project. 

Here, I aim to give an overview of ways in which KDE could convince more of its user base to become contributors, this wish list focuses on monetary contributions, however applying the suggestions would definitely increase all contributions..

- Set goals, and expectations. 

On the main KDE website there should be a special section to the top right of the website, near the 
Comment 1 Henrique Pinto 2003-11-09 18:05:59 UTC
We'll add a link to www.kde.org/support/ in KDE Traffic from now on.

Hope that helps :)
Comment 2 Jorge Adriano 2003-11-09 18:29:52 UTC
Thanks! Yes it helps, but I agree with the original poster in that is should be more visible. 

IMO it is not even easy to *find* right now... "Supporting" is in the "Inform" setcion between lots of informations on what KDE *is* - of course you can argue that is an information about kde too, but that argument is valid for about anything in that site.  
This is quite bad because IMO the goal should be more than easy to find, because that assumes people will look for it. We should aim for visibility.

Since I'm talking about organization, "kde stuff" should also be in another section (not "Inform") since it is also not about what KDE is. If we're going to keep them there though, we should probably have "KDE Stuff" right next to "Supporting KDE", current organization makes no sense.

I also whish KDE Merchandising for European people was easier to get. CafePress has some cool stuff but it is US based, Kernel concepts don't have that much, those t-shirts look nice but they are not good for advertinsing (all they have is a little K). This kind of stuff can make a difference, I teach undreds of students every year and I wouln't mind wearing a KDE sweatshirt once in a while.
Comment 3 Mike Diehl 2003-12-15 02:32:20 UTC
Well I'm not sure if this should have it's own feature request, but here goes. How about a simple applet for ways to help KDE. It could be configurable to allow users to see the areas they are able to help out with i.e. code, doc writing, artwork etc. Web updates  would be handled via the KDE homepage. This would allow for easy, up to date ways for those of us who would like to help out, and have it only as far away as the sys tray.
Comment 4 Alex Radu 2003-12-27 08:48:06 UTC
I think that is separate from this, however it is a good idea nonetheless.
Comment 5 Stephan Binner 2004-11-07 21:45:00 UTC
> if you too feel that the list of developers should not be many times longer than that of monetary contributors than please vote for this bug

Good joke. Outdated nonsense report. Discussions on how to improve web pages please on kde-www.
Comment 6 Alex Radu 2004-11-09 00:10:18 UTC
It was not nonsense when I posted the wish. Furthermore, you are focusing on a specific thing and missing the big picture I was trying to convey.

KDE needs to organize fundraisers and motivate its base to help out more. Some lessons can be learned from Wikipedia.org, Gnome.org as well as SpreadFirefox.com. Most importantly, KDE needs to establish goals, and distinguish people based on contributions with small gifts or titles.

The absence of real funding is still a major problem and obstacle for many opensource projects, including KDE.
Comment 7 Alex Radu 2004-11-09 00:15:01 UTC
Also, why did you close this? This is a wish for www.kde.org which has not been adressed and while plans to remedy the problem should take list on kde-ww, I do not see why the wishlist needs to be closed.

KDE's help page is still not visible enough, fund raisers have not been organized, goals have not been established and few things have changed. 

I will reopen it for now, because I do not understand why this popular wish is invalid.
Comment 8 Stephan Binner 2004-12-01 13:42:31 UTC
Nobody on kde-www sees a reason why this should stay open.